#include <allegro.h>
#include "timer.h"

volatile int timer_ticker = 0;
volatile int frame_count = 0;
volatile int frame_count2 = 0;

void timer_callback(...)
{
    timer_ticker++;
}
END_OF_FUNCTION(timer_callback);

void timer_init()
{
    LOCK_VARIABLE(timer_ticker);
    LOCK_FUNCTION(timer_callback);

    install_int_ex(timer_callback, BPS_TO_TIMER(100));
}
